export default {
	data() {
		return {
			share: {
				title: '',
				path: '',
				imageUrl: '',
				desc: ''
			}
		}
	},
	
	onLoad() {
		// 设置默认的转发参数
		this.share = {
			title: '蚂蚁车生活', // 默认为小程序名称
			path: '', // 默认为当前页面路径
			imageUrl: '' // 默认为当前页面的截图
		}
		//分享白名单
		let urlList = []
		//获取路由信息
		let pages = getCurrentPages()
		//获取当前路由
		let nowPage = pages[pages.length - 1]
	},
	
	// 分享到微信好友功能
	onShareAppMessage(res) {
		return this.share
	},
	// 分享到朋友圈功能
	onShareTimeline(res) {
		return this.share
	},
}